package chart_tag

import "time"

// ChartTag 图表标签表
type ChartTag struct {
	ChartTagID      int       `gorm:"primaryKey;column:chart_tag_id" json:"-"`
	ChartTagName    string    `gorm:"column:chart_tag_name" json:"chartTagName"`        // 标签名称
	ChartTagNameEn  string    `gorm:"column:chart_tag_name_en" json:"chartTagNameEn"`   // 标签名称（英文）
	SysUserID       int       `gorm:"column:sys_user_id" json:"sysUserId"`              // 操作人id
	SysUserRealName string    `gorm:"column:sys_user_real_name" json:"sysUserRealName"` // 操作人真实姓名
	ModifyTime      time.Time `gorm:"column:modify_time" json:"modifyTime"`             // 最近一次操作时间
	CreateTime      time.Time `gorm:"column:create_time" json:"createTime"`             // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *ChartTag) TableName() string {
	return "chart_tag"
}

// ChartTagColumns get sql column name.获取数据库列名
var ChartTagColumns = struct {
	ChartTagID      string
	ChartTagName    string
	ChartTagNameEn  string
	SysUserID       string
	SysUserRealName string
	ModifyTime      string
	CreateTime      string
}{
	ChartTagID:      "chart_tag_id",
	ChartTagName:    "chart_tag_name",
	ChartTagNameEn:  "chart_tag_name_en",
	SysUserID:       "sys_user_id",
	SysUserRealName: "sys_user_real_name",
	ModifyTime:      "modify_time",
	CreateTime:      "create_time",
}
