package chart_variety

import (
	"time"
)

// ChartVariety 图表品种表
type ChartVariety struct {
	ChartVarietyID     int       `gorm:"primaryKey;column:chart_variety_id" json:"-"`
	ChartVarietyName   string    `gorm:"column:chart_variety_name" json:"chartVarietyName"`      // 品种名称
	ChartVarietyNameEn string    `gorm:"column:chart_variety_name_en" json:"chartVarietyNameEn"` // 品种名称（英文）
	SysUserID          int       `gorm:"column:sys_user_id" json:"sysUserId"`                    // 操作人id
	SysUserRealName    string    `gorm:"column:sys_user_real_name" json:"sysUserRealName"`       // 操作人真实姓名
	ModifyTime         time.Time `gorm:"column:modify_time" json:"modifyTime"`                   // 最近一次操作时间
	CreateTime         time.Time `gorm:"column:create_time" json:"createTime"`                   // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *ChartVariety) TableName() string {
	return "chart_variety"
}

// ChartVarietyColumns get sql column name.获取数据库列名
var ChartVarietyColumns = struct {
	ChartVarietyID     string
	ChartVarietyName   string
	ChartVarietyNameEn string
	SysUserID          string
	SysUserRealName    string
	ModifyTime         string
	CreateTime         string
}{
	ChartVarietyID:     "chart_variety_id",
	ChartVarietyName:   "chart_variety_name",
	ChartVarietyNameEn: "chart_variety_name_en",
	SysUserID:          "sys_user_id",
	SysUserRealName:    "sys_user_real_name",
	ModifyTime:         "modify_time",
	CreateTime:         "create_time",
}
