package multiple_graph_config_chart_mapping

import (
	"time"
)

// MultipleGraphConfigChartMapping 图表与多图配置的关系表
type MultipleGraphConfigChartMapping struct {
	ID                    uint32    `gorm:"primaryKey;column:id;type:int(9) unsigned;not null" json:"-"`
	MultipleGraphConfigID int       `gorm:"uniqueIndex:idx_confid_source;column:multiple_graph_config_id;type:int(9);default:null;default:0" json:"multipleGraphConfigId"` // 多图配置id
	ChartInfoID           int       `gorm:"unique;column:chart_info_id;type:int(9);default:null;default:0" json:"chartInfoId"`                                             // 图表id
	Source                int8      `gorm:"uniqueIndex:idx_confid_source;column:source;type:tinyint(9);default:null" json:"source"`                                        // 来源,1:曲线图，2：相关性图；3：滚动相关性图1；4：滚动相关性图2；
	ModifyTime            time.Time `gorm:"column:modify_time;type:timestamp;default:null;default:CURRENT_TIMESTAMP" json:"modifyTime"`                                    // 最后一次修改时间
	CreateTime            time.Time `gorm:"column:create_time;type:datetime;default:null" json:"createTime"`                                                               // 关系建立时间
}

// TableName get sql table name.获取数据库表名
func (m *MultipleGraphConfigChartMapping) TableName() string {
	return "multiple_graph_config_chart_mapping"
}

// MultipleGraphConfigChartMappingColumns get sql column name.获取数据库列名
var MultipleGraphConfigChartMappingColumns = struct {
	ID                    string
	MultipleGraphConfigID string
	ChartInfoID           string
	Source                string
	ModifyTime            string
	CreateTime            string
}{
	ID:                    "id",
	MultipleGraphConfigID: "multiple_graph_config_id",
	ChartInfoID:           "chart_info_id",
	Source:                "source",
	ModifyTime:            "modify_time",
	CreateTime:            "create_time",
}
