package smart_report_resource

import (
	"time"
)

// SmartReportResource 智能研报-资源表
type SmartReportResource struct {
	ResourceID int       `gorm:"primaryKey;column:resource_id" json:"-"`
	ImgURL     string    `gorm:"column:img_url" json:"imgUrl"`         // 图片链接
	ImgName    string    `gorm:"column:img_name" json:"imgName"`       // 图片名称
	Type       int       `gorm:"column:type" json:"type"`              // 类型 1-版头 2-版尾
	CreateTime time.Time `gorm:"column:create_time" json:"createTime"` // 创建时间
	Style      string    `gorm:"column:style" json:"style"`            // 版图样式
}

// TableName get sql table name.获取数据库表名
func (m *SmartReportResource) TableName() string {
	return "smart_report_resource"
}

// SmartReportResourceColumns get sql column name.获取数据库列名
var SmartReportResourceColumns = struct {
	ResourceID string
	ImgURL     string
	ImgName    string
	Type       string
	CreateTime string
	Style      string
}{
	ResourceID: "resource_id",
	ImgURL:     "img_url",
	ImgName:    "img_name",
	Type:       "type",
	CreateTime: "create_time",
	Style:      "style",
}
