package research_group

import "time"

// ResearchGroup 研究方向分组表
type ResearchGroup struct {
	ResearchGroupID   int       `gorm:"primaryKey;column:research_group_id;type:int(10) unsigned;not null" json:"-"`                  // 研究方向分组ID
	ResearchGroupName string    `gorm:"column:research_group_name;type:varchar(100);not null;default:''" json:"researchGroupName"`    // 研究方向分组名称
	ParentID          int       `gorm:"column:parent_id;type:int(10) unsigned;not null;default:0" json:"parentId"`                    // 父类ID
	ChartPermissionID int       `gorm:"column:chart_permission_id;type:int(10) unsigned;not null;default:0" json:"chartPermissionId"` // 品种权限ID
	Sort              int       `gorm:"column:sort;type:int(10) unsigned;not null;default:0" json:"sort"`                             // 排序
	State             int       `gorm:"column:state;type:tinyint(4) unsigned;not null;default:1" json:"state"`                        // 显示状态 0-不显示 1-显示
	CreateTime        time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"createTime"`                 // 创建时间
	ModifyTime        time.Time `gorm:"column:modify_time;type:datetime;default:CURRENT_TIMESTAMP" json:"modifyTime"`                 // 更新时间
}

// TableName get sql table name.获取数据库表名
func (m *ResearchGroup) TableName() string {
	return "research_group"
}

// ResearchGroupColumns get sql column name.获取数据库列名
var ResearchGroupColumns = struct {
	ResearchGroupID   string
	ResearchGroupName string
	ParentID          string
	ChartPermissionID string
	Sort              string
	State             string
	CreateTime        string
	ModifyTime        string
}{
	ResearchGroupID:   "research_group_id",
	ResearchGroupName: "research_group_name",
	ParentID:          "parent_id",
	ChartPermissionID: "chart_permission_id",
	Sort:              "sort",
	State:             "state",
	CreateTime:        "create_time",
	ModifyTime:        "modify_time",
}
