package user_template_record

// UserTemplateRecord [...]
type UserTemplateRecord struct {
	ID         int    `gorm:"primaryKey;column:id;type:int(11);not null" json:"-"`
	UserID     int    `gorm:"column:user_id;type:int(11);default:0" json:"userId"`
	OpenID     string `gorm:"column:open_id;type:varchar(100);default:''" json:"openId"`
	Resource   string `gorm:"column:resource;type:varchar(20)" json:"resource"` // 资源:报告id/手机号/活动id
	SendData   string `gorm:"column:send_data;type:text" json:"sendData"`
	Result     string `gorm:"column:result;type:text" json:"result"`
	CreateDate string `gorm:"column:create_date;type:date" json:"createDate"`
	CreateTime string `gorm:"column:create_time;type:datetime" json:"createTime"`
	SendStatus int    `gorm:"column:send_status;type:tinyint(4);default:1" json:"sendStatus"` // 1:发送成功,0:发送失败
	SendType   int    `gorm:"column:send_type;type:tinyint(4);default:1" json:"sendType"`     // 1:报告,2:指标更新提醒,3:审批通知,4:销售领取客户通知,5:活动取消通知,6活动更改时间通知,7:关注的作者发布报告通知,8:发送日报（周报、双周报、月报）模板消息,9:活动预约/报名时间通知
}

// TableName get sql table name.获取数据库表名
func (m *UserTemplateRecord) TableName() string {
	return "user_template_record"
}

// UserTemplateRecordColumns get sql column name.获取数据库列名
var UserTemplateRecordColumns = struct {
	ID         string
	UserID     string
	OpenID     string
	Resource   string
	SendData   string
	Result     string
	CreateDate string
	CreateTime string
	SendStatus string
	SendType   string
}{
	ID:         "id",
	UserID:     "user_id",
	OpenID:     "open_id",
	Resource:   "resource",
	SendData:   "send_data",
	Result:     "result",
	CreateDate: "create_date",
	CreateTime: "create_time",
	SendStatus: "send_status",
	SendType:   "send_type",
}
