package voice_broadcast_img

import "time"

// YbVoiceBroadcastImg 语音播报图片表
type YbVoiceBroadcastImg struct {
	Id          int       `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	BroadcastId int       `gorm:"index:idx_broadcast_id;column:broadcast_id;type:int(10) unsigned;not null;default:0" json:"broadcastId"` // 语音播报ID
	ImgUrl      string    `gorm:"column:img_url;type:varchar(255);not null;default:''" json:"imgUrl"`                                     // 图片
	CreateTime  time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`                                                     // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *YbVoiceBroadcastImg) TableName() string {
	return "yb_voice_broadcast_img"
}

// YbVoiceBroadcastImgColumns get sql column name.获取数据库列名
var YbVoiceBroadcastImgColumns = struct {
	ID          string
	BroadcastID string
	ImgURL      string
	CreateTime  string
}{
	ID:          "id",
	BroadcastID: "broadcast_id",
	ImgURL:      "img_url",
	CreateTime:  "create_time",
}
